## org.apache.ivy.plugins.report
Class XmlReportWriter

    java.lang.Object
      org.apache.ivy.plugins.report.XmlReportWriter

    public class XmlReportWriter

extends java.lang.Object

XmlReportWriter allows to write ResolveReport in an xml format.

Constructor Summary
`XmlReportWriter()`

Method Summary
`void` `output(ConfigurationResolveReport report, java.io.OutputStream stream)`
`void` `output(ConfigurationResolveReport report, java.lang.String[] confs, java.io.OutputStream stream)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XmlReportWriter

    public XmlReportWriter()

Method Detail

### output

    public void output(ConfigurationResolveReport report,
                       java.io.OutputStream stream)

### output

    public void output(ConfigurationResolveReport report,
                       java.lang.String[] confs,
                       java.io.OutputStream stream)